GlueGen: com.jogamp.common.os.Platform.CPUType Enum Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
com.jogamp.common.os.Platform.CPUType Enum Reference
Collaboration diagram for com.jogamp.common.os.Platform.CPUType:

## Public Member Functions

| CPUType (final CPUFamily type, final boolean is32Bit)
final boolean | isCompatible (final CPUType other)
| Returns `true` if the given `CPUType` is compatible w/ this one, i.e. More...

## Static Public Member Functions

static final CPUType | query (final String cpuABILower)

## Public Attributes

| ARM =( CPUFamily.ARM, true)
| ARM 32bit default, usually little endian. More...
| ARMv5 =( CPUFamily.ARM, true)
| ARM7EJ, ARM9E, ARM10E, XScale, usually little endian. More...
| ARMv6 =( CPUFamily.ARM, true)
| ARM11, usually little endian. More...
| ARMv7 =( CPUFamily.ARM, true)
| ARM Cortex, usually little endian. More...
| X86_32 =( CPUFamily.X86, true)
| X86 32bit, little endian. More...
| PPC =( CPUFamily.PPC, true)
| PPC 32bit default, usually big endian. More...
| MIPS_32 =( CPUFamily.MIPS, true)
| MIPS 32bit, big endian (mips) or little endian (mipsel) More...
| SuperH =( CPUFamily.SuperH, true)
| Hitachi SuperH 32bit default, ??? endian. More...
| SPARC_32 =( CPUFamily.SPARC, true)
| SPARC 32bit, big endian. More...
| ARM64 =( CPUFamily.ARM, false)
| ARM64 default (64bit), usually little endian. More...
| ARMv8_A =( CPUFamily.ARM, false)
| ARM AArch64 (64bit), usually little endian. More...
| X86_64 =( CPUFamily.X86, false)
| X86 64bit, little endian. More...
| PPC64 =( CPUFamily.PPC, false)
| PPC 64bit default, usually big endian. More...
| MIPS_64 =( CPUFamily.MIPS, false)
| MIPS 64bit, big endian (mips64) or little endian (mipsel64) ? More...
| IA64 =( CPUFamily.IA64, false)
| Itanium 64bit default, little endian. More...
| SPARCV9_64 =(CPUFamily.SPARC, false)
| SPARC 64bit, big endian. More...
| PA_RISC2_0 =(CPUFamily.PA_RISC, false)
| PA_RISC2_0 64bit, ??? endian. More...
final CPUFamily | family
final boolean | is32Bit

## Detailed Description

Definition at line 83 of file Platform.java.

## Constructor & Destructor Documentation

## ◆ CPUType()

com.jogamp.common.os.Platform.CPUType.CPUType | ( | final CPUFamily | type,
|  | final boolean | is32Bit
| ) |  |

Definition at line 127 of file Platform.java.

Here is the call graph for this function:

## Member Function Documentation

## ◆ isCompatible()

final boolean com.jogamp.common.os.Platform.CPUType.isCompatible | ( | final CPUType | other | ) |

Returns `true` if the given `CPUType` is compatible w/ this one, i.e.

at least `family` and `is32Bit` is equal.

Definition at line 136 of file Platform.java.

## ◆ query()

static final CPUType com.jogamp.common.os.Platform.CPUType.query | ( | final String | cpuABILower | ) |

static

Definition at line 147 of file Platform.java.

## Member Data Documentation

## ◆ ARM

com.jogamp.common.os.Platform.CPUType.ARM =( CPUFamily.ARM, true)

ARM 32bit default, usually little endian.

Definition at line 85 of file Platform.java.

## ◆ ARM64

com.jogamp.common.os.Platform.CPUType.ARM64 =( CPUFamily.ARM, false)

ARM64 default (64bit), usually little endian.

Definition at line 107 of file Platform.java.

## ◆ ARMv5

com.jogamp.common.os.Platform.CPUType.ARMv5 =( CPUFamily.ARM, true)

ARM7EJ, ARM9E, ARM10E, XScale, usually little endian.

Definition at line 87 of file Platform.java.

## ◆ ARMv6

com.jogamp.common.os.Platform.CPUType.ARMv6 =( CPUFamily.ARM, true)

ARM11, usually little endian.

Definition at line 89 of file Platform.java.

## ◆ ARMv7

com.jogamp.common.os.Platform.CPUType.ARMv7 =( CPUFamily.ARM, true)

ARM Cortex, usually little endian.

Definition at line 91 of file Platform.java.

## ◆ ARMv8_A

com.jogamp.common.os.Platform.CPUType.ARMv8_A =( CPUFamily.ARM, false)

ARM AArch64 (64bit), usually little endian.

Definition at line 109 of file Platform.java.

## ◆ family

final CPUFamily com.jogamp.common.os.Platform.CPUType.family

Definition at line 124 of file Platform.java.

## ◆ IA64

com.jogamp.common.os.Platform.CPUType.IA64 =( CPUFamily.IA64, false)

Itanium 64bit default, little endian.

Definition at line 117 of file Platform.java.

## ◆ is32Bit

final boolean com.jogamp.common.os.Platform.CPUType.is32Bit

Definition at line 125 of file Platform.java.

## ◆ MIPS_32

com.jogamp.common.os.Platform.CPUType.MIPS_32 =( CPUFamily.MIPS, true)

MIPS 32bit, big endian (mips) or little endian (mipsel)

Definition at line 99 of file Platform.java.

## ◆ MIPS_64

com.jogamp.common.os.Platform.CPUType.MIPS_64 =( CPUFamily.MIPS, false)

MIPS 64bit, big endian (mips64) or little endian (mipsel64) ?

Definition at line 115 of file Platform.java.

## ◆ PA_RISC2_0

com.jogamp.common.os.Platform.CPUType.PA_RISC2_0 =(CPUFamily.PA_RISC, false)

PA_RISC2_0 64bit, ??? endian.

Definition at line 121 of file Platform.java.

## ◆ PPC

com.jogamp.common.os.Platform.CPUType.PPC =( CPUFamily.PPC, true)

PPC 32bit default, usually big endian.

Definition at line 97 of file Platform.java.

## ◆ PPC64

com.jogamp.common.os.Platform.CPUType.PPC64 =( CPUFamily.PPC, false)

PPC 64bit default, usually big endian.

Definition at line 113 of file Platform.java.

## ◆ SPARC_32

com.jogamp.common.os.Platform.CPUType.SPARC_32 =( CPUFamily.SPARC, true)

SPARC 32bit, big endian.

Definition at line 103 of file Platform.java.

## ◆ SPARCV9_64

com.jogamp.common.os.Platform.CPUType.SPARCV9_64 =(CPUFamily.SPARC, false)

SPARC 64bit, big endian.

Definition at line 119 of file Platform.java.

## ◆ SuperH

com.jogamp.common.os.Platform.CPUType.SuperH =( CPUFamily.SuperH, true)

Hitachi SuperH 32bit default, ??? endian.

Definition at line 101 of file Platform.java.

## ◆ X86_32

com.jogamp.common.os.Platform.CPUType.X86_32 =( CPUFamily.X86, true)

X86 32bit, little endian.

Definition at line 95 of file Platform.java.

## ◆ X86_64

com.jogamp.common.os.Platform.CPUType.X86_64 =( CPUFamily.X86, false)

X86 64bit, little endian.

Definition at line 111 of file Platform.java.

The documentation for this enum was generated from the following file:

- src/java/com/jogamp/common/os/Platform.java